%define major     1
%define libname   %mklibname xkbfile %{major}
%define develname %mklibname xkbfile -d

Name:           libxkbfile
Summary:        The xkbfile Library
Version:        1.1.3
Release:        %mkrel 1
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libxkbfile-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
The xkbfile Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:        The xkbfile Library
Group:          Development/X11
Provides:       %{name} = %{version}

%description -n %{libname}
The xkbfile Library.

%files -n %{libname}
%{_libdir}/libxkbfile.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libname} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libxkbfile.so
%{_libdir}/pkgconfig/xkbfile.pc
%{_includedir}/X11/extensions/XKM.h
%{_includedir}/X11/extensions/XKBrules.h
%{_includedir}/X11/extensions/XKBconfig.h
%{_includedir}/X11/extensions/XKMformat.h
%{_includedir}/X11/extensions/XKBfile.h
%{_includedir}/X11/extensions/XKBbells.h

#-----------------------------------------------------------

%prep
%autosetup -p1 -n libxkbfile-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Thu Feb 15 2024 daviddavid <daviddavid> 1.1.3-1.mga10
+ Revision: 2041517
- new version: 1.1.3

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.1.2-1.mga9
+ Revision: 1919981
- 1.1.2

* Sun Oct 23 2022 tv <tv> 1.1.1-1.mga9
+ Revision: 1898633
- 1.1.1

* Sat Mar 19 2022 umeabot <umeabot> 1.1.0-3.mga9
+ Revision: 1800251
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1523972
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Mar 17 2019 tv <tv> 1.1.0-1.mga7
+ Revision: 1378344
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.9-3.mga7
+ Revision: 1299255
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.0.9-2.mga6
+ Revision: 956002
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.0.9-1.mga6
+ Revision: 837503
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-7.mga5
+ Revision: 741256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-6.mga5
+ Revision: 681885
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-5.mga4
+ Revision: 532775
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.8-4.mga4
+ Revision: 469575
- drop unneedes requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.8-3.mga3
+ Revision: 397162
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 358593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.8-1.mga2
+ Revision: 222184
- new release

* Wed Jan 25 2012 dmorgan <dmorgan> 1.0.7-3.mga2
+ Revision: 201520
- Clean spec file

* Tue Nov 22 2011 trem <trem> 1.0.7-2.mga2
+ Revision: 170974
- drop .la file

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.7-1.mga1
+ Revision: 5603
- imported package libxkbfile


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.0.7-1mdv2011.0
+ Revision: 590569
- new release

* Mon Nov 09 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.6-1mdv2010.1
+ Revision: 463735
- New version: 1.0.6

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.5-3mdv2010.0
+ Revision: 425928
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 264977
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 192985
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-4mdv2008.1
+ Revision: 152804
- Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-3mdv2008.1
+ Revision: 150860
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.4-2mdv2008.0
+ Revision: 54099
- fix typo preventing static-devel package from correctly obsoleting the previous version

* Mon Jul 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-1mdv2008.0
+ Revision: 52771
- new devel library policy
- spec file clean
- new version


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

